#ifndef __KEYBIND_H__
#define __KEYBIND_H__

typedef struct _KEYBIND {
	u8  code;
	u8  mask;
	u8  Hold;
	u16 x;
	u16 y;
	u16 width;
	u16 height;
	u16 x_mgn;
	u16 y_mgn;
	u8 * normalfont;
	u8 * shiftfont;
	u8 * graphfont;
	u8 * kanafont;
	u8 * hirafont;
} KEYBIND;

extern KEYBIND Joys[16];
extern KEYBIND Keys[256];

extern int DownSoftKey( int );
extern int DownJoy( word vKey );
extern int UpJoy( word vKey );
// extern void ReadKeyBind( char *, KEYBIND * );

#endif
