
#include "Sound.h"

#include "../../common/snddrv.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int UseStereo    = 0;     /* Stereo sound (1=enable)         */
int UsePSG       = 0;     /* PSG emulation (1=enable)        */
int UseSCC       = 0;     /* SCC emulation (1=enable)        */
int Use2413      = 0;     /* MSX-MUSIC emulation (1=enable)  */
int Use8950      = 0;     /* MSX-AUDIO emulation (1=enable)  */

/** InitSound() **********************************************/
/** Initialize DSP. Returns Rate on success, 0 otherwise.   **/
/** Mode is 0 to skip initialization (will be silent).      **/
/*************************************************************/
int InitSound(int Rate,int Verb)
{
  int r;
  return Rate;
}

/** ResetSound() *********************************************/
/** Reset sound chips.                                      **/
/*************************************************************/
void ResetSound()
{
  if(!UseSound) return;
//  OPLL_reset(opll);
//  OPL_reset(opl);
//  PSG_reset(psg);
//  SCC_reset(scc);
}

/** TrashSound() *********************************************/
/** Shut DSP down.                                          **/
/*************************************************************/
void TrashSound(void)
{
  int i;
  int cnt=0;
}

/* wrapper functions to actual sound emulation */
void WriteOPLL (int R,int V) { OPLL_writeReg(R,V);  }
void WriteAUDIO(int R,int V) { OPL_writeReg(R,V);  }
void Write2212 (int R,int V) { SCC_write(R,V);        }
void WritePSG  (int R,int V) { PSG_writeReg(R,V);     }
int  ReadPSG   (int R)       { return PSG_readReg(R); }

